-- HUNGER_NG : =================================================================================

if minetest.get_modpath("hunger_ng") ~= nil then
hunger_ng.add_hunger_data('btmt:large_brown_mushrooms', {
 satiates = 5.0,
})

hunger_ng.add_hunger_data('btmt:large_red_mushrooms', {
 satiates = 1.0,
 heals = -2
})
--crops:
hunger_ng.add_hunger_data('btmt:carrot', {
 satiates = 2.0,
})

hunger_ng.add_hunger_data('btmt:potato', {
 satiates = 1.0,
})

hunger_ng.add_hunger_data('btmt:potato_baked', {
 satiates = 5.0,
})

hunger_ng.add_hunger_data('btmt:pumpkin_slice', {
 satiates = 1.0,
})

hunger_ng.add_hunger_data('btmt:tomato', {
 satiates = 2.0,
})

hunger_ng.add_hunger_data('btmt:vegetables_soup', {
 satiates = 15.0,
})
end

-- BONEMEAL : ============================================================================
if minetest.get_modpath("bonemeal") ~= nil then
bonemeal:add_crop({
	{"btmt:carrot_", 8, "btmt:seed_carrot"},
	{"btmt:potato_", 4, "btmt:seed_potato"},
	{"btmt:pumpkin_", 8, "btmt:seed_pumpkin"},
	{"btmt:tomato_", 8, "btmt:seed_tomato"},
	{"btmt:sunflower_", 4, "btmt:seed_sunflower"},	
})

bonemeal:add_deco({
	{"default:dirt_with_grass", {"default:grass_1", ""},
		{"btmt:flame_lily", "btmt:foxglove","btmt:lantana","btmt:lavender"} }
})

end

-- SUPORTE PARA FLOWERPOT : ==============================================================
if minetest.get_modpath("flowerpot") then
 flowerpot.register_node("btmt:flame_lily")
 flowerpot.register_node("btmt:foxglove")
 flowerpot.register_node("btmt:lantana")
 flowerpot.register_node("btmt:lavender")
 flowerpot.register_node("btmt:large_red_mushrooms")
 flowerpot.register_node("btmt:large_brown_mushrooms")
end
